### Method

# Fwupd Request set_id

#### Declaration [src]

    void
    fwupd_request_set_id (
      FwupdRequest* self,
      const gchar* id
    )

#### Description [src]

Sets the ID.

Available since: | 1.6.2

Sets property | `Fwupd.Request:id`

#### Parameters

`id` | `const gchar*`
| The request ID, e.g. `USB:foo`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.